var levelpeserta=(function(){
	var hal=0;
	var jumlah=30;
	var iddatalevelpeserta=0;
	return{
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "levelpeserta",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				levelpeserta.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			levelpeserta.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_levelpeserta").html("");
			var loaderdata=mload.loading({"el":"loader_data_kategori"});
			
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "levelpeserta",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					loaderdata.tutup();
					//alert(JSON.stringify(e));
					if(e!=false && e.length>0){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_levelpeserta",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"nama","judul":"Nama Level","tipe":"data"},
									{"col":"target_omset","judul":"Target Omset","tipe":"data","lebar":"120px","align":"right","format":"desimal"},
									{"col":"target_point","judul":"Target Point /Bulan","tipe":"data","lebar":"120px","align":"right","format":"desimal2"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"levelpeserta"
						};
						tabel.multisub(datatb);
					}else{
						loaderdata.pesan("BELUM ADA DATA KATEGORI");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/levelpeserta?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/levelpeserta?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			iddatalevelpeserta=a;
		},
		simpan:function(){
			$("#box_error_simpan").html("");
			var nama=$("#nama").val();
			var strtargetomset=$("#targetomset").val();
			var targetomset=kudus.buatdesimal(strtargetomset);
			
			var strtargetpoint=$("#targetpoint").val();
			var targetpoint=kudus.buatdesimal(strtargetpoint);
			
			var err="";
			if(nama=="") err+="Nama Level Peserta belum diisi.</br>";
			if(err!=""){
				$("#box_error_simpan").html(err);
				return;
			}
			
			var loadersimpan=mload.loader({"keterangan":"Proses simpan data"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "levelpeserta",
				ikdata: {0:"editlevelpeserta",nama:nama,
					targetomset:targetomset,
					targetpoint:targetpoint,
					id:iddatalevelpeserta}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						levelpeserta.kembali();
					}else{
						loadersimpan.error([{"pesan":"Gagal simpan data level peserta"}]);
					}
				}
			});
		},
		
	};
})();